<?php
   $target='pagina';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 
   include("conexion/conex.php");
    
   $nombrepagina = "CONSULTA ".strtoupper($campo)." # ".strtoupper($valor);
   $v_mysql=conn_mysql();
   encabezado($target); 
   //$nombre_u=$nombre_usuario;
   //$pass=$password;
   $user=$_SESSION['validar'];
   //entrada($user,$_GET['id_user'],$_GET['suc']);
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 //$conn=mysql_connect("localhost", "root", "1234");
	 //menu($id_user);
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 
//$this->conexionObj2=new conexion();
//$this->conexionObj2->conectarse();
//echo "SELECT * FROM lote LIMIT $inicio,$tamano_pagina";
$perfil=$_SESSION['perfil'];
if($perfil==0){
$add="WHERE g.$campo='".$valor."' ORDER BY g.orden DESC";
}else{
$add="WHERE g.$campo='".$valor."' ORDER BY g.orden DESC";//AND g.id_sucursal='".$suc."' 
}
$sql_consulta="SELECT g.guia, g.empresa, g.destinatario, g.direccion, g.telefono, g.ciudad ".
			"FROM $tabla as g ".
			"$add";
$rst_select_lotes=mysql_query($sql_consulta,$v_mysql);
/*$rst_select_lotes=$this->conexionObj2->consultar("SELECT g.guia, g.empresa, g.destinatario, g.direccion, g.telefono, g.ciudad ".
			"FROM $tabla as g ".
			"$add");*/
$filas=mysql_num_rows($rst_select_lotes);
$total_paginas= ceil($filas/$tamano_pagina);
?>
	<style type="text/css">
	td.comment{
  	padding:0pt;
  	padding-bottom:0pt;
  	margin:0pt;  
}

.comment{
	
	margin:0pt;	
	
	width:700px;
	height:auto !important;
  	overflow:scroll !important;

}

	</style>
<form method='GET' action="">
<CENTER>
<table width="710" border="0" class="primaria">
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>CONSULTA RASTREO DE ".strtoupper($campo)." : </FONT><FONT color='#308DC7'>".strtoupper($valor)."</FONT>";?>
</td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Consulta de Guias Servicio Al Cliente ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $filas;?></td>
</tr>
</table>
<table width="691" border="0" class="primaria">
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="50">GUIA</td>
<td valign=top class=miTable_th1 width="137">DESTINATARIO</td>
<td valign=top class=miTable_th1 width="135">DIRECCION</td>
<td valign=top class=miTable_th1 width="94">TELEFONO</td>
<td valign=top class=miTable_th1 width="65">CIUDAD</td>
<td valign=top class=miTable_th1 width="96">RASTREO</td>
<td valign=top class=miTable_th1 width="96">EMPRESA</td>
</tr>
<?
	class elimina{
		  var $userObj;
		  function eliminar($valor,$campo,$tabla){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new select_zonas();
				   $this->userObj->lista_guias_sc($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],$valor,$campo,$tabla);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($valor,$campo,$tabla);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href='ver_guias.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='ver_guias.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='ver_guias.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla'> >> </A>";

			}
		 
			
		 } 
?>
</div></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="15">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='campo' value='<? echo $campo?>'>
<input type='hidden' name='valor' value='<? echo $valor?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='submit' name='' value='Ir' class="inputbox"></td>
</tr>
</table>

</div>
	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>
</CENTER>
</form>